Package org.jcsp.net.dynamic

# Class MigratableChannelEndFactory

java.lang.Object
org.jcsp.net.dynamic.MigratableChannelEndFactory

All Implemented Interfaces:
  `NetChannelEndFactory`

public class MigratableChannelEndFactory extends Object implements NetChannelEndFactory
Factory for creating networked migratable channel ends. An instance of this can be created and the methods used. Alternatively the static methods in `MigratableChannelEnd` can be used to create the channel ends.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`MigratableChannelEndFactory()`
Constructs a new `MigratableChannelEndFactory`.

## Method Summary

Modifier and Type
Method
Description
`NetSharedChannelOutput`
`createAny2Net(NetChannelLocation loc)`
Constructs a `NetSharedChannelOutput` object.
`NetSharedChannelInput`
`createNet2Any()`
Constructs a `NetSharedChannelInput` object.
`NetAltingChannelInput`
`createNet2One()`
Constructs a `NetAltingChannelInput` object.
`NetChannelOutput`
`createOne2Net(NetChannelLocation loc)`
Constructs a `NetChannelOutput` object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MigratableChannelEndFactory

public MigratableChannelEndFactory()
Constructs a new `MigratableChannelEndFactory`.

## Method Details

### createNet2One

public NetAltingChannelInput createNet2One()
Description copied from interface: `NetChannelEndFactory`

Constructs a `NetAltingChannelInput` object.

Specified by:
  `createNet2One` in interface `NetChannelEndFactory`
Returns:
  the constructed `NetAltingChannelInput` object.
See Also:
  - `NetChannelEndFactory.createNet2One()`

### createNet2Any

public NetSharedChannelInput createNet2Any()
Description copied from interface: `NetChannelEndFactory`

Constructs a `NetSharedChannelInput` object.

Specified by:
  `createNet2Any` in interface `NetChannelEndFactory`
Returns:
  the constructed `NetSharedChannelInput` object.
See Also:
  - `NetChannelEndFactory.createNet2Any()`

### createOne2Net

public NetChannelOutput createOne2Net(NetChannelLocation loc)
Description copied from interface: `NetChannelEndFactory`

Constructs a `NetChannelOutput` object.

Specified by:
  `createOne2Net` in interface `NetChannelEndFactory`
Returns:
  the constructed `NetChannelOutput` object.
See Also:
  - `NetChannelEndFactory.createOne2Net(NetChannelLocation)`

### createAny2Net

public NetSharedChannelOutput createAny2Net(NetChannelLocation loc)
Description copied from interface: `NetChannelEndFactory`

Constructs a `NetSharedChannelOutput` object.

Specified by:
  `createAny2Net` in interface `NetChannelEndFactory`
Returns:
  the constructed `NetSharedChannelOutput` object.
See Also:
  - `NetChannelEndFactory.createAny2Net(NetChannelLocation)`